// Copyright (C) 1998 Ingo Ruhnke <grumbel@gmx.de>, see README.TXT for details

#include <ClanLib/clanlayer2.h>

#include "mouse.hh"
#include "button_panel.hh"

CL_ResourceManager* ButtonPanel::resource = 0;
CL_Surface* ButtonPanel::button_cap;

ButtonPanel::ButtonPanel()
{
  need_redraw = true;
  button.resize(8);
  
  button[0] = new Button(  0, 424, "Game/button_ph", resource);
  button[1] = new Button( 38, 424, "Game/button_ph", resource);
  button[2] = new Button( 76, 424, "Game/button_ph", resource);
  button[3] = new Button(114, 424, "Game/button_ph", resource);
  button[4] = new Button(152, 424, "Game/button_ph", resource);
  button[5] = new Button(190, 424, "Game/button_ph", resource);
  button[6] = new Button(228, 424, "Game/button_ph", resource);
  button[7] = new Button(266, 424, "Game/button_ph", resource);
}

ButtonPanel::~ButtonPanel()
{
}

void 
ButtonPanel::let_move() 
{
  for(int i=0; i < button.size(); ++i) {
    button[i]->let_move();
  }
}

void 
ButtonPanel::draw() 
{
  if (need_redraw) {
    // draw the buttons
    for(int i=0; i < button.size(); ++i) {
      button[i]->draw();
    }
    need_redraw = false;
  }

  // draw the capture rectange for the active button
  if (Mouse::get_y() > 424) {
    for(int i=0; i < 8; ++i) {
      if (Mouse::get_x() > i * 38 && Mouse::get_x() < ((i + 1) * 38)) {
	button_cap->put_screen(i*38, 424);
	need_redraw = true;
      }
    }
  }
}

void
ButtonPanel::load_data(CL_ResourceManager* res)
{
  resource = res;
  button_cap = CL_Res_Surface::load("Game/button_cap", *resource);
}

/* EOF */
