// Copyright (C) 1998 Ingo Ruhnke <grumbel@gmx.de>, see README.TXT for details

#include "mouse.hh"

int  Mouse::num_buttons;
bool Mouse::mouse_ready = false;

int 
Mouse::init()
{
  if (CL_Input::pointers[0] && CL_Input::pointers[0]->get_cursor(0)) {
    cout << "Mouse Support available, " 
	 << (num_buttons = CL_Input::pointers[0]->get_num_buttons())
	 << " buttons found." << endl;
    mouse_ready = true;
    return 1;
  } else {
    mouse_ready = false;
    return 0;
  }

}

int
Mouse::get_x()
{
  if (mouse_ready)
    return (int)CL_Input::pointers[0]->get_cursor(0)->get_x();
  else
    return 320;
}

int
Mouse::get_y()
{
  if (mouse_ready)
    return (int)CL_Input::pointers[0]->get_cursor(0)->get_y();
  else
    return 240;
}

bool
Mouse::is_pressed(int button)
{
  if (button > num_buttons || button < 0)
    return false;

  if (mouse_ready)    
    return CL_Input::pointers[0]->get_button(button)->is_pressed();
  else 
    return false;
}

/* EOF */
