// Copyright (C) 1998 Ingo Ruhnke <grumbel@gmx.de>, see README.TXT for details

#ifndef PINGUTILEMAP_HH
#define PINGUTILEMAP_HH

#include <vector>
#include <fstream>

#include "plf.hh"
#include "colmap.hh"
#include "pingumap.hh"
#include "pingutile.hh"

// The PinguTileMap is the second methode of managing the gfx of a
// pingus level. It loads and draw the map, it also provides a
// collison map.

class PinguTileMap : public PinguMap {
private:
  vector<vector<PinguTile> > map;
  PinguTileProvider* tile_provider;
  // vector<vector<int> > map;
public:
  PinguTileMap(PLF* data, CL_ResourceManager* resource);
  ~PinguTileMap();
  int  load(const char*, CL_ResourceManager*);
  int  load(ifstream*);
  void draw();
  void mark_dirty(int,int,int,int);
  //ColMap get_colmap();
  void put_screen(int x, int y);
  void start_anim();
  void stop_anim();
};

#endif

/* EOF */
