// Copyright (C) 1998 Ingo Ruhnke <grumbel@gmx.de>, see README.TXT for details

#include <cstdio>
#include <vector>
#include "pingutileprovider.hh"

PinguTileProvider::PinguTileProvider(CL_ResourceManager* res)
{
  resource = res;
}

void
PinguTileProvider::new_surface(char* name, CL_Surface* surf)
{
  surface.push_back(surf);
  surface_name.push_back(name);
}

CL_Surface*
PinguTileProvider::get_surface(char* name)
{
  int i;
  
  for(i=0; i < surface_name.size(); ++i)
    if (strcmp(name, surface_name[i]) == 0) {
      break;
    }
  
  return surface[i];
}

CL_Surface*
PinguTileProvider::get_surface(int name)
{
  char str[255];

  sprintf(str, "Game/stones%d", name);
  //  sprintf(str, "Game/tile%d", name);
    
  if (name != 0)
    return CL_Res_Surface::load(str, *resource);
  else 
    return 0;
}

/* EOF */
