// Copyright (C) 1998 Ingo Ruhnke <grumbel@gmx.de>, see README.TXT for details

#include <iostream>
#include <stdio.h>

#include "mouse.hh"
#include "pingu.hh"
#include "playfield.hh"
#include "plf.hh"

CL_Surface* Playfield::cap;

Playfield::Playfield()
{
  cout << "Playfield:init" << endl;
  current_pingu = 0;
}

Playfield::Playfield(PLF* level_data)
{
  world.init(level_data);
  current_pingu = 0;
  pingu = world.get_pingu_p();
}

Playfield::~Playfield()
{
}

void
Playfield::draw()
{
  // draw the world (Playfield, pingus, ...)
  world.draw();

  // draw the capture rectange
  for (int i=0; i < pingu->size(); ++i) {
    if ((*pingu)[i].is_over(Mouse::get_x(), Mouse::get_y())) {
      cap->put_screen((*pingu)[i].get_x()-17, (*pingu)[i].get_y()-33);
      current_pingu = i;
      break;
    }
    current_pingu = -1;
  }
}

void
Playfield::let_move()
{
  /*
  if (CL_Keyboard::get_keycode(CL_Keyboard::KEY_LEFT)) {
    ++current_pingu;
    cout << "Current Pingu: " << current_pingu << endl;
  } else if (CL_Keyboard::get_keycode(CL_Keyboard::KEY_RIGHT)) {
    --current_pingu;
    cout << "Current Pingu: " << current_pingu << endl;
  }

  if (current_pingu < 0)
    current_pingu = 0;
  else if (current_pingu > pingu->size() - 1)
    current_pingu = pingu->size() - 1 ;
  
  if (CL_Keyboard::get_keycode(CL_Keyboard::KEY_SPACE)) {
    (*pingu)[current_pingu].set_action(bridger);
  }
  
  cap->put_screen((*pingu)[current_pingu].get_x() - 16,
		  (*pingu)[current_pingu].get_y() - 32);
  */
  
  world.let_move();
}

void
Playfield::load_data(CL_ResourceManager* resource)
{
  cap = CL_Res_Surface::load("Game/cap", *resource);

  if (!cap) {
    cout << "Couldn't load cap" << endl;
    exit(EXIT_FAILURE);
  }
}

/* EOF */
