// Copyright (C) 1998 Ingo Ruhnke <grumbel@gmx.de>, see README.TXT for details

#include <ClanLib/clanlib.h>

#include "window.hh"
#include "globals.hh"

Window::Window()
{
}

void
Window::add_obj(GuiObj* new_obj)
{
  obj.push_back(new_obj);
}

void
Window::let_move()
{
  bool quit = false;
  int  time = CL_System::get_time();
  int  frames = 0;
  bool skip_frame = false;
  double fps = 0;
  double exact_fps = 0;
  
  while (quit == false) {
    if (CL_Keyboard::get_keycode(CL_Keyboard::KEY_ESCAPE) == true) {
      quit = true;
    }
    
    CL_System::keep_alive();
    
    for(int i=0; i < obj.size(); ++i) 
      obj[i]->let_move();

    if (!skip_frame) {
      for(int i=0; i < obj.size(); ++i) 
	obj[i]->draw();
      
      CL_Display::flip_display();
      CL_Display::clear_display(); 
    } 

    
    fps = (1000.0) / (CL_System::get_time() - time);
    
    time = CL_System::get_time();
    if (fps < global_frame_rate)
      skip_frame = true;
    else
      skip_frame = false;
    
    ++frames;
    exact_fps += fps;
    if (frames == 25) {
      frames = 0;
      cout << exact_fps << " - " << exact_fps / 25.0 << " fps" << endl;
      exact_fps=  0;
    }
  }
}

/* EOF */
